Bug 518597 - Crash while showing message dialog
Crash while showing message dialog
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-21 04:13 EDT by Jaroslav Reznik
Modified: 2009-08-27 04:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-26 15:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Backtrace (8.07 KB, text/plain)
2009-08-21 04:13 EDT, Jaroslav Reznik
no flags Details
Backtrace - step2 crash (3.93 KB, text/plain)
2009-08-21 13:26 EDT, Martin Kho
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 204630 None None None Never

  None (edit)
Description Jaroslav Reznik 2009-08-21 04:13:34 EDT
Created attachment 358199 [details]
Backtrace

Description of problem:
crash, see steps to reproduce

Version-Release number of selected component (if applicable):
kpackagekit-0.5.0-0.1.20090819svn.fc12.x86_64

Steps to Reproduce:
1. run kpackagekit
2. try to search for some package
3. click on that package
  
Actual results:
Crash - sometimes even for first time when dialog should be shown, sometimes after operation (probably latest dialog). Backtrace are same.

Expected results:
No crash...
Comment 1 Martin Kho 2009-08-21 13:25:20 EDT
Hi,

I've reproduced Jaroslav's steps, but I only come to step 2. Searching itself already causes the crash. Crash report in comment #2.

I'm running a fully updated (Aug 20) rawhide.

Martin Kho
Comment 2 Martin Kho 2009-08-21 13:26:36 EDT
Created attachment 358263 [details]
Backtrace - step2 crash
Comment 3 Steven M. Parrish 2009-08-26 15:22:21 EDT
This issue is fixed in the current KPackageKit/Packagekit releases in Rawhide.  If after upgrading this issue is still present please reopen this bug with additional details.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Martin Kho 2009-08-26 16:13:06 EDT
Confirmed, KPackageKit/PackageKit is working. But to get the authentication dialog the package "polkit-gnome" has to be installed, and /usr/libexec/polkit-gnome-authentication-agent-1 (/etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop) loaded at log in. I had comment the line: "OnlyShowIn=GNOME;"

Martin Kho
Comment 5 Jaroslav Reznik 2009-08-27 04:24:23 EDT
Yes,
as we don't have KDE authentication agent yet, we have to use Gnome one. I'll take care.

Note You need to log in before you can comment on or make changes to this bug.